package org.photon.core.login.net;

import org.photon.core.login.db.User;
import org.photon.core.protocol.client.ClientState;

/**
 * @author Blackrush
 */
public interface LoginClient {
    String getKey();
    ClientState getState();
    LoginClient setState(ClientState state);
    User getUser();
    LoginClient setUser(User user);

    LoginClient write(Object msg);
    void kick();
}
