package org.photon.core.login.net.event;

import org.photon.core.login.net.LoginClient;

/**
 * @author Blackrush
 */
public final class HandleClientMessageEvent implements ClientEvent {
    private final LoginClient client;
    private final Object message;

    public HandleClientMessageEvent(LoginClient client, Object message) {
        this.client = client;
        this.message = message;
    }

    @Override
    public LoginClient getClient() {
        return client;
    }

    public Object getMessage() {
        return message;
    }
}
