package org.photon.core.login.net.event;

import org.photon.shared.event.InvokerInterface;
import org.photon.shared.event.ReflectEventDispatcherStrategy;

import java.lang.reflect.Method;

/**
 * @author Blackrush
 */
public class LoginNetworkEventDispatcherStrategy extends ReflectEventDispatcherStrategy {
    @Override
    protected InvokerInterface buildInvoker(Class<?> target, Method method) {
        if (HandleClientMessageEvent.class.equals(target)) {
            return new LoginHandleClientMessageInvoker(method);
        }

        return super.buildInvoker(target, method);
    }
}
