package org.photon.core.protocol.client;

/**
 * @author Blackrush
 */
public abstract class AbstractMessage implements Message {
    private final String header;

    protected AbstractMessage(String header) {
        this.header = header;
    }

    @Override
    public final String getHeader() {
        return header;
    }

    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        serialize(builder);
        return builder.toString();
    }
}
