package org.photon.core.protocol.client.enums;

/**
 * @author Blackrush
 */
public enum ClientAuthErrorReason {
    INVALID_CREDENTIALS('f'),
    BANNED('b'),
    ALREADY_CONNECTED('c'),
    INVALID_VERSION('v');

    public final char value;

    private ClientAuthErrorReason(char value) {
        this.value = value;
    }

    public static ClientAuthErrorReason forValue(char value) {
        for (ClientAuthErrorReason reason : values()) {
            if (reason.value == value) {
                return reason;
            }
        }
        return null;
    }
}
