package org.photon.core.protocol.client.messages;

import org.photon.core.protocol.client.EmptyMessage;
import org.photon.core.protocol.client.Message;
import org.photon.core.protocol.client.MessageFactory;

/**
 * @author Blackrush
 */
public class QueueReqMessage extends EmptyMessage {
    public static final String HEADER = "Af";

    public static final MessageFactory FACTORY = new MessageFactory() {
        public Message buildMessage() {
            return new QueueReqMessage();
        }
    };

    public QueueReqMessage() {
        super(HEADER);
    }
}
