package org.photon.shared.kernel;

/**
 * @author Blackrush
 */
public enum State {
    STOPPED(null),
    STARTED(STOPPED),
    LOADED(STARTED),
    NONE(LOADED);

    public final State next;

    private State(State next) {
        this.next = next;
    }

    public boolean isNext(State state) {
        return next == state;
    }
}
