Photon [![Build Status](https://drone.io/github.com/Blackrush/Photon/status.png)](https://drone.io/github.com/Blackrush/Photon/latest)
======

## Installation

You must install [Git] and [Maven] before these commands :

    mvn install -q -DskipTests=true
    mvn test
    mkdir tarball && cd tarball
    touch config.conf && mkdir bundles
    cp ../photon-runner/target/photon-runner-*.jar .
    cp -rf ../photon-runner/target/lib/ .
    cp ../photon-core/photon-login/target/photon-login-*.jar bundles/

You will get a `tarball` folder with runner, config, libs and default bundles in it.
You can also download it [here](https://drone.io/github.com/Blackrush/Photon/files).

## Usage

You must install [JDK7] before these commands :

    java -jar photon-runner-*.jar

Add your bundles into `bundles/` folder and put external libs into `libs/` folder. Any bundle musts provide
a default config but it can be overriden in `config.conf` file (see [typesafehub/config] HOCON file format).

[Git]: http://git-scm.com/
[Maven]: http://maven.apache.org/download.cgi
[JDK7]: http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html
[typesafehub/config]: http://github.com/typesafehub/config
