package org.photon.core.login.net.event;

import org.photon.core.login.net.LoginClient;

/**
 * @author Blackrush
 */
public final class ClientStateUpdatedEvent implements ClientEvent {
    private final LoginClient client;
    private final boolean connection;

    public ClientStateUpdatedEvent(LoginClient client, boolean connection) {
        this.client = client;
        this.connection = connection;
    }

    @Override
    public LoginClient getClient() {
        return client;
    }

    public boolean isConnection() {
        return connection;
    }
}
