package org.photon.core.login.net.game.event;

import org.photon.core.login.net.game.LoginGameManager;
import org.photon.core.login.net.game.LoginGameService;

/**
 * @author Blackrush
 */
public final class GameServiceStateUpdatedEvent implements GameServiceEvent {
    private final LoginGameManager manager;
    private final LoginGameService service;

    public GameServiceStateUpdatedEvent(LoginGameManager manager, LoginGameService service) {
        this.manager = manager;
        this.service = service;
    }

    @Override
    public LoginGameManager getManager() {
        return manager;
    }

    @Override
    public LoginGameService getService() {
        return service;
    }
}
