package org.photon.core.protocol.client.enums;

/**
 * @author Blackrush
 */
public enum WorldState {
    OFFLINE,
    ONLINE,
    SAVING;

    public static WorldState valueOf(int value){
        for (WorldState state : values()) {
            if (state.ordinal() == value) {
                return state;
            }
        }
        return null;
    }
}
