package org.photon.core.protocol.server;

/**
 * @author Blackrush
 */
public final class AuthenticationErrorMessage {
    public static enum Reason {
        ALREADY_SYNC,
        UNKNOWN_SERVER,
    }

    private Reason reason;

    public AuthenticationErrorMessage() {
    }

    public AuthenticationErrorMessage(Reason reason) {
        this.reason = reason;
    }

    public Reason getReason() {
        return reason;
    }

    public void setReason(Reason reason) {
        this.reason = reason;
    }
}
