package org.photon.core.protocol.server;

import org.photon.core.protocol.client.enums.WorldState;

/**
 * @author Blackrush
 */
public final class UpdateStateMessage {
    private WorldState state;
    private int completion;

    public UpdateStateMessage() {
    }

    public UpdateStateMessage(WorldState state, int completion) {
        this.state = state;
        this.completion = completion;
    }

    public WorldState getState() {
        return state;
    }

    public void setState(WorldState state) {
        this.state = state;
    }

    public int getCompletion() {
        return completion;
    }

    public void setCompletion(int completion) {
        this.completion = completion;
    }
}
