package org.photon.shared.collect;

/**
 * @author Blackrush
 */
public interface StringTree<V> extends Tree<Character, V> {
    public static interface StringChild<V> extends StringTree<V>, Child<Character, V> {
        String getStringPath();
    }

    StringChild<V> get(Character key);
    V get(String keys);

    StringChild<V> put(Character key, V value);
    StringChild<V> put(Iterable<Character> keys, V value);
    StringChild<V> put(String keys, V value);

    V remove(Character key);
    V remove(String keys);
}
