package org.photon.shared.kernel;

import java.io.File;

/**
 * @author Blackrush
 */
public final class BundleLoaders {
    private BundleLoaders() {}

    public static FileBundleLoader file(File root, File rootLib, ClassLoader masterLoader) {
        return new FileBundleLoader(root, rootLib, masterLoader);
    }

    public static FileBundleLoader file(File root, File rootLib) {
        return file(root, rootLib, ClassLoader.getSystemClassLoader());
    }

    public static FileBundleLoader file(String root, String rootLib) {
        return file(new File(root), new File(rootLib));
    }
}
